; Realfun 3 replayer test rom
;----------------------------------------------------------------------
;                                                    XL2S Entertainment


; B I G   F I L E
;----------------------------------------------------------------------

  include code/_variabelen.i

  macro rword adres
  byte :adres
  word adres
  endmacro

  macro sword adres
  byte :adres
  word adres
  byte 0 
  endmacro

;----------------------------------------------------------------------
; Segment 00 - Rom header, slot initialisatie


  defpage 0,4000h,8192

  page 0

  code @ 4000h

  byte "AB"
  word start
  word 0,0,0,0,0,0

@EMPTY = 0         ; since in page 0, both page no. and address 0

  include code/z_rom_mapper_init.i

  include code/main.i


;----------------------------------------------------------------------
; Segment 01..14 - data

  defpage 1..30,4000h

  module songd

  ; b i r d   f r o g

  page 1
bird_sd
  incbin songs/birdfrog.sd

bird_sample_jump

  sword bird_sample_0
  sword bird_sample_1
  sword EMPTY
  sword bird_sample_3
  sword EMPTY         ;4
  sword EMPTY         ;5
  sword EMPTY         ;6
  sword EMPTY         ;7
  sword EMPTY         ;8
  sword EMPTY         ;9
  sword EMPTY         ;a
  sword EMPTY         ;b
  sword EMPTY         ;c
  sword EMPTY         ;d
  sword EMPTY         ;e
  sword EMPTY         ;f

bird_sample_0
  incbin songs/birdfrog/samples3.sam0
bird_sample_1
  incbin songs/birdfrog/samples3.sam1
bird_sample_3
  incbin songs/birdfrog/samples3.sam3

  ; s t a f f 

;  page 2 
  ; wave data in page 11 with base offset as test

  page 3
staff_sd 
  incbin songs/staff.sd,,8192
  page 4
staff_sd_2
  incbin songs/staff.sd,8192

  ; p o l i c e n a u t s 

  page 6
police_wd
  incbin songs/police.wd,,8192
  page 7
police_wd_2
  incbin songs/police.wd,8192
  page 8
police_sd
  incbin songs/police.sd,,8192
  page 9
police_sd_2
  incbin songs/police.sd,8192


  ; a n d o r o g y n u s

  page 10
  code @ 4000h
andorogy_sd
  incbin songs/andorogy.sd
  code @ 5000h
test0_sd
   incbin songs/test0.sd 

  page 11
  code @ 4000h
andorogy_wd
  incbin songs/andorogy.wd
  code @ 4b00h
staff_wd
  incbin songs/staff.wd

  page 12
andorogy_sample_c
;  incbin songs/andorogy/ttsample13.sam,6
  incbin songs/andorogy/andorogy.samc
andorogy_sample_jump

  sword EMPTY               ;0
  sword EMPTY               ;1
  sword EMPTY               ;2
  sword EMPTY               ;3
  sword EMPTY               ;4
  sword EMPTY               ;5
  sword EMPTY               ;6
  sword EMPTY               ;7
  sword EMPTY               ;8
  sword EMPTY               ;9
  sword EMPTY               ;a
  sword EMPTY               ;b
  sword andorogy_sample_c   ;c
  sword andorogy_sample_d   ;d
  sword EMPTY               ;e
  sword andorogy_sample_f   ;f

  page 13
andorogy_sample_d
;  incbin songs/andorogy/ttsample14.sam,6
  incbin songs/andorogy/andorogy.samd
andorogy_sample_f
;  incbin songs/andorogy/ttsample16.sam,6
  incbin songs/andorogy/andorogy.samf

  ; a w e s o m e          ///   s t i c k e r

  page 14
awesome_wd
  incbin songs/sticker.wd,,8192
  page 15
awesome_wd_2
  incbin songs/sticker.wd,8192
  page 16
awesome_sd
  incbin songs/sticker.sd,,8192
  page 17
awesome_sd_2
  incbin songs/sticker.sd,8192

;  page 14
;awesome_wd
;  incbin songs/awesome.wd,,8192
;  page 15
;awesome_wd_2
;  incbin songs/awesome.wd,8192
;  page 16
;awesome_sd
;  incbin songs/awesome.sd,,8192
;  page 17
;awesome_sd_2
;  incbin songs/awesome.sd,8192


 ; d o c t o r

  page 18
doctor_sd
  incbin songs/psg-2.sd     ;doctor.sd
  page 19
doctor_wd
  incbin songs/doctor.wd

  ; l e t ' s   m o d     /// b r i e f i n g

  page 20
letsmod_wd
  incbin songs/briefing.wd
  page 21
letsmod_sd
  incbin songs/briefing.sd,,8192
  page 22
letsmod_sd_2
  incbin songs/briefing.sd,8192,8192
  page 23
letsmod_sd_3
  incbin songs/briefing.sd,2*8192

;  page 20
;letsmod_wd
;  incbin songs/letsmod.wd
;  page 21
;letsmod_sd
;  incbin songs/letsmod.sd,,8192
;  page 22
;letsmod_sd_2
;  incbin songs/letsmod.sd,8192,8192
;  page 23
;letsmod_sd_3
;  incbin songs/letsmod.sd,2*8192



  ; s t r e t c h

  page 24
  code @ 4000h
stretch_wd
  incbin songs/stretch.wd
  code @ 4800h
stretch_sd
  incbin songs/stretch.sd

  ; s q u e e z e

  page 25
  code @ 4000h
squeeze_wd
  incbin songs/squeeze.wd
  code @ 4800h
squeeze_sd
  incbin songs/squeeze.sd

  ; s p a c e y

  page 26
spacey_wd
  incbin songs/spacey-0.wd
  page 27
spacey_sd
  incbin songs/spacey-0.sd


  page 28
volcano_wd
  incbin songs/volcano2.wd
  page 29
volcano_sd
  incbin songs/volcano2.sd,,8192
  page 30
volcano_sd_2
  incbin songs/volcano2.sd,8192

  endmodule

;----------------------------------------------------------------------
; Segment 31

  defpage 31,0a000h

  page 31

  include replayer/replay.asm

;eof
